%define major		0
%define libname		%mklibname filezilla %{major}
%define develname	%mklibname filezilla -d

Name:		libfilezilla
Version:	0.12.1
Release:	%mkrel 1
Summary:	Small and modern C++ library for FileZilla
License:	GPLv2+
Group:		System/Libraries
URL:		https://lib.filezilla-project.org/
Source0:	http://download.filezilla-project.org/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	pkgconfig(nettle)

# needed for testsuite
BuildRequires:	locales-en
BuildRequires:	pkgconfig(cppunit)

%description
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

* A typesafe, multi-threaded event system that's very simple to use yet
  extremely efficient.
* Timers for periodic events.
* A datetime class that not only tracks timestamp but also their accuracy,
  which simplifies dealing with timestamps originating from different sources.
* Simple process handling for spawning child processes with redirected I/O.

#------------------------------------------------

%package -n	%{libname}
Summary:	Small and modern C++ library for FileZilla
Group:		System/Libraries

%description -n	%{libname}
libfilezilla is a free, open source C++ library, offering some basic
functionality to build high-performing, platform-independent programs.
Some of the highlights include:

* A typesafe, multi-threaded event system that's very simple to use yet
  extremely efficient.
* Timers for periodic events.
* A datetime class that not only tracks timestamp but also their accuracy,
  which simplifies dealing with timestamps originating from different sources.
* Simple process handling for spawning child processes with redirected I/O.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------
%prep
%autosetup -p1

%build
%configure2_5x \
		--disable-static
%make_build
make -C doc html

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%check
LC_ALL=en_US.UTF-8 \
make check

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README
%doc doc/doxygen-doc/*
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Apr 11 2019 daviddavid <daviddavid> 0.12.1-1.mga6
+ Revision: 1388262
- new version: 0.12.1

* Sun Jun 04 2017 akien <akien> 0.9.2-3.mga6
+ Revision: 1106526
- Apply previously added patch

* Sun Jun 04 2017 akien <akien> 0.9.2-2.mga6
+ Revision: 1106513
- Add upstream patch to fix filezilla build issue (undefined ref to fz::random_bytes)

* Sat Jun 03 2017 akien <akien> 0.9.2-1.mga6
+ Revision: 1105979
- Version 0.9.2

* Wed Apr 26 2017 akien <akien> 0.9.1-1.mga6
+ Revision: 1097508
- Version 0.9.1

* Wed Dec 14 2016 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 1074970
- new version: 0.9.0

* Tue Nov 01 2016 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 1064456
- new version: 0.8.0

* Fri Oct 14 2016 daviddavid <daviddavid> 0.7.1-2.mga6
+ Revision: 1060780
- rebuild for ARM

* Sat Oct 08 2016 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 1059504
- new version: 0.7.1

* Sun Oct 02 2016 daviddavid <daviddavid> 0.7.0-1.mga6
+ Revision: 1058082
- new version: 0.7.0

* Wed Jul 27 2016 daviddavid <daviddavid> 0.6.1-1.mga6
+ Revision: 1043806
- new version: 0.6.1

* Fri May 27 2016 daviddavid <daviddavid> 0.5.2-1.mga6
+ Revision: 1018954
- new version: 0.5.2

* Mon May 09 2016 daviddavid <daviddavid> 0.5.1-1.mga6
+ Revision: 1011534
- new version: 0.5.1

* Sat Apr 23 2016 daviddavid <daviddavid> 0.5.0-1.mga6
+ Revision: 1005758
- new version: 0.5.0

* Sun Feb 28 2016 daviddavid <daviddavid> 0.4.0.1-1.mga6
+ Revision: 980510
- new version: 0.4.0.1

* Sun Jan 31 2016 daviddavid <daviddavid> 0.3.1-1.mga6
+ Revision: 929299
- new version: 0.3.1
- new upstream snapshot: 0.3.0_rev7291
- enable testsuite
- remove merged upstream patch

* Sat Jan 30 2016 daviddavid <daviddavid> 0.3.0-2.mga6
+ Revision: 929212
- add patch0 to fix linking issue:
  * https://trac.filezilla-project.org/ticket/10734#ticket

* Sat Jan 30 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 929202
- initial package libfilezilla

